## fped 0.1+201210

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #
 # Makefile - Makefile of fped, the footprint editor
 #
-# Written 2009, 2010 by Werner Almesberger
-# Copyright 2009, 2010 by Werner Almesberger
+# Written 2009-2012 by Werner Almesberger
+# Copyright 2009-2012 by Werner Almesberger
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -12,10 +12,10 @@
 
 PREFIX ?= /usr/local
 
-UPLOAD = werner@sita.openmoko.org:public_html/fped/
+UPLOAD = www-data@downloads.qi-hardware.com:werner/fped/
 
 OBJS = fped.o expr.o coord.o obj.o delete.o inst.o util.o error.o \
-       unparse.o file.o dump.o kicad.o postscript.o meas.o \
+       unparse.o file.o dump.o kicad.o postscript.o gnuplot.o meas.o \
        layer.o overlap.o hole.o tsort.o bitset.o \
        cpp.o lex.yy.o y.tab.o \
        gui.o gui_util.o gui_style.o gui_inst.o gui_status.o gui_canvas.o \
@@ -32,23 +32,30 @@
        intro-6.png concept-inst.png
 
 SHELL = /bin/bash
+
+CPPFLAGS +=
 CFLAGS_GTK = `pkg-config --cflags gtk+-2.0`
 LIBS_GTK = `pkg-config --libs gtk+-2.0`
 
 CFLAGS_WARN = -Wall -Wshadow -Wmissing-prototypes \
 	      -Wmissing-declarations -Wno-format-zero-length
-CFLAGS = -g -std=gnu99 $(CFLAGS_GTK) -DCPP='"cpp"' \
-         -DSVN_VERSION='"$(SVN_VERSION)$(SVN_STATUS)"' $(CFLAGS_WARN)
+CFLAGS += -g -std=gnu99 $(CFLAGS_GTK) -DCPP='"cpp"' \
+         -DVERSION='"$(GIT_VERSION)$(GIT_STATUS)"' $(CFLAGS_WARN)
 SLOPPY = -Wno-unused -Wno-implicit-function-declaration \
 	 -Wno-missing-prototypes -Wno-missing-declarations
-LDFLAGS =
+LDFLAGS +=
 LDLIBS = -lm -lfl $(LIBS_GTK)
 YACC = bison -y
 YYFLAGS = -v
 
-SVN_VERSION:=$(shell svn info -R | sed '/Last Changed Rev: /s///p;d' | \
-    sort -r | sed 1q)
-SVN_STATUS:=$(shell [ -z "`svn status -q`" ] || echo +)
+GIT_VERSION:=$(shell git rev-parse HEAD | cut -c 1-7)
+GIT_STATUS:=$(shell [ -z "`git status -s -uno`" ] || echo +)
+
+MKDEP = $(DEPEND) $(1).c | \
+	sed -e \
+	'/^\(.*:\)\? */{p;s///;s/ *\\\?$$/ /;s/  */:\n/g;H;}' \
+	  -e '$${g;p;}' -e d >$(1).d; \
+	[ "$${PIPESTATUS[*]}" = "0 0" ] || { rm -f $(1).d; exit 1; }
 
 
 # ----- Verbosity control -----------------------------------------------------
@@ -84,7 +91,7 @@
 
 .PHONY:		all dep depend clean spotless
 .PHONY:		install uninstall manual upload-manual
-.PHONY:		update montage test tests valgrind
+.PHONY:		montage test tests valgrind
 
 .SUFFIXES:	.fig .xpm .ppm
 
@@ -92,12 +99,8 @@
 # http://scottmcpeak.com/autodepend/autodepend.html
 
 %.o:		%.c
-		$(CC) -c $(CFLAGS) $*.c -o $*.o
-		$(DEPEND) $*.c | \
-		  sed -e \
-		    '/^\(.*:\)\? */{p;s///;s/ *\\\?$$/ /;s/  */:\n/g;H;}' \
-		    -e '$${g;p;}' -e d >$*.d; \
-		  [ "$${PIPESTATUS[*]}" = "0 0" ] || { rm -f $*.d; exit 1; }
+		$(CC) $(CPPFLAGS) $(CFLAGS) -c $*.c -o $*.o
+		$(call MKDEP, $*)
 
 # generate 26x26 pixels icons, then drop the 1-pixel frame
 
@@ -124,12 +127,14 @@
 
 lex.yy.o:	lex.yy.c y.tab.h
 		$(CC) -c $(CFLAGS) $(SLOPPY) lex.yy.c
+		$(call MKDEP, lex.yy)
 
 y.tab.c y.tab.h: fpd.y
 		$(YACC) $(YYFLAGS) -d fpd.y
 
 y.tab.o:	y.tab.c
 		$(CC) -c $(CFLAGS) $(SLOPPY) y.tab.c
+		$(call MKDEP, y.tab)
 
 gui_tool.o gui.o: $(XPMS:%=icons/%)
 
@@ -188,9 +193,3 @@
 
 uninstall:
 		rm -f $(DESTDIR)/$(PREFIX)/bin/fped
-
-# ----- SVN update ------------------------------------------------------------
-
-update:
-		svn update
-		$(MAKE) dep all
