=== debian/changelog ===
fped (0.1+201210-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957224)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 29 Aug 2020 21:32:55 +0100

fped (0.1+201210-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Build-Depends on libfl-dev. (Closes: #846426)

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 04 Apr 2017 18:17:39 +0200

fped (0.1+201210-1) unstable; urgency=low

  * New snapshot, taken from commit d59b472
  * Switched to new project host: http://projects.qi-hardware.com/p/fped
  * debian/rules:
    - include debian buildflags
    - rewrite as a minimal rules file using dh
    - add a get-orig-source target
  * Fix "FTBFS: tsort: cycle: ./Common: line 37:  2851 Aborted"
    This was a "false error" - the regression test is supposed to cause
    fped to abort, which it did, but the shell didn't print "Aborted" on
    that(Debian on Renesas SH(sh4) CPU) platform (Closes: #606536).

 -- Xiangfu Liu <xiangfu@openmobilefree.net>  Mon, 08 Oct 2012 11:38:57 +0800
